package einfachestextmail;

/**
 * Title:        Einfaches Text Mail
 * Description:  Beispiel fr den Einsatz des JavaMail APIs.
 * Aufbau:
 * 0) setzen des Mail Hosts (ausgehende Meldungen)
 * 1) definieren und kreieren der Internet Adressen der Sender und Empfnger
 * 2) Setzen der From, To und Empfngertypus Felder (TO)
 * 3) setzen des Nachrichtentextes
 * 4) versenden der Nachricht
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.mail.*;
import javax.mail.internet.*;
import java.util.*;

public class EinfachesTextMail {

  public static void main(String[] args) {

    Properties props = new Properties();
    props.put("mail.host", "mailhost.hta.fhz.ch");

    try {

      // 0)
      Session mailConnection = Session.getInstance(props, null);
      mailConnection.setDebug(true);
      // 1)
      Address bill = new InternetAddress("BillGates@microsoft.com", "Bill Gates");
      Address joller = new InternetAddress("jjoller@hta.fhz.ch");

      Message msg = new MimeMessage(mailConnection);
      // 2)
      msg.setFrom(bill);
      msg.setRecipient(Message.RecipientType.TO, joller);
      msg.setSubject("Besuch?.");
      // 3)
      msg.setContent("Der Gast aus Moskau spricht deutsch, english, schweizerisch...",
       "text/plain");
      // 4)
      Transport.send(msg);

    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}